Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Announcements
Webcast-Catalyst9k
New Member

FEX state : AA version Mismatch

Hi,

Im quite puzzle with this problem. I have N5k connected with N2k FEX 100 using port eth1/32 :

sh run int eth1/32

version 5.0(3)N2(1)

interface Ethernet1/32

  switchport mode fex-fabric

  fex associate 100

  channel-group 32

# sh int eth1/32

Ethernet1/32 is up

  MTU 1500 bytes, BW 10000000 Kbit, DLY 10 usec,

# sh fex 100

FEX: 100 Description: FEX0100   state: AA Version Mismatch

  FEX version: 5.2(1)N1(1a) [Switch version: 5.0(3)N2(1)]

pinning-mode: static    Max-links: 1

  Fabric port for control traffic: Eth1/32

  Fabric interface state:

    Po32 - Interface Up. State: Active

    Eth1/32 - Interface Up. State: Active

What can I saw here is FEX and Switch is different version. So what is potential problem. Right now I facing link N5k to FEX keep repeatly lost between 10 minutes. Is that related with this mismatch version. I also detected below log :

%ETHPORT-3-IF_NON_CISCO_TRANSCEIVER: Non-Cisco transceiver on interface Ethernet1/32 is detected

Thanks and appreciate your comments

Everyone's tags (2)
2 REPLIES

FEX state : AA version Mismatch

Hi,

The FEX operates as what you could consider as a remote line card of the Nexus 5000 switch, and when booted downloads software from the upstream switch. As you've stated, what you're seeing here is that the switch is running one version of NX-OS and the FEX a different version. When you have a version mismatch the FEX should download the software version of the parent switch.

What model of FEX are you trying to connect? My guess is that it's a hardware type not supported by your current NX-OS version on the Nexus 5000 such as the N2K-C2248TP-E-1GE which was supported from 5.1(3)N1(1), or more likely the N2K-C2232TM-E-10GE which was supported from 5.2(1)N1(1a).

If you're trying to connect one of the aforementioned FEX models then you have no choice but to upgrade the NX-OS on the Nexus 5000.

Regards

New Member

FEX state : AA version Mismatch

Hello Steve,

Thanks for the answer. I will try to upgrade NX-0S N5k first and let see how the result.

Regards

722
Views
4
Helpful
2
Replies
CreatePlease to create content